package com.zd.exam.mapper;

import com.zd.exam.domain.ElSafeTrain;
import com.zd.exam.domain.vo.ElSafeTrainVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 安全培训Mapper接口
 *
 * @author zd
 * @date 2021-09-07
 */
public interface ElSafeTrainMapper {
    /**
     * 查询安全培训
     *
     * @param id 安全培训主键
     * @return 安全培训
     */
    public ElSafeTrain selectElSafeTrainById(Long id);

    /**
     * 查询安全培训列表
     *
     * @param elSafeTrain 安全培训
     * @return 安全培训集合
     */
    public List<ElSafeTrain> selectElSafeTrainList(ElSafeTrain elSafeTrain);

    /**
     * 查询我的安全培训列表-带已学习标识
     *
     * @param elSafeTrain 安全培训
     * @return 安全培训集合
     */
    public List<ElSafeTrainVO> selectElSafeTrainVOList(@Param("elSafeTrain") ElSafeTrain elSafeTrain, @Param("myId") Long myId);

    /**
     * 新增安全培训
     *
     * @param elSafeTrain 安全培训
     * @return 结果
     */
    public int insertElSafeTrain(ElSafeTrain elSafeTrain);

    /**
     * 修改安全培训
     *
     * @param elSafeTrain 安全培训
     * @return 结果
     */
    public int updateElSafeTrain(ElSafeTrain elSafeTrain);

    /**
     * 删除安全培训
     *
     * @param id 安全培训主键
     * @return 结果
     */
    public int deleteElSafeTrainById(Long id);

    /**
     * 批量删除安全培训
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElSafeTrainByIds(Long[] ids);
}
